Subject: bug#60054: 29.0.60; Infinite loop when there are cyclic path in the parse tree

From: Eli Zaretskii <[email-masked]>
Date: Wed, 14 Dec 2022 14:08:23 +0200

> From: Yuan Fu <[email-masked]>
> Date: Tue, 13 Dec 2022 16:11:01 -0800
> 
> 
> This is not really an Emacs bug, but either tree-siter-c or
> tree-sitter’s. I’m putting it out here so that if I’m hit by a bus
> tomorrow, and treesit-search-forward-goto and friends hang, 
> we (eh, you) know what’s going on.
> 
> I’ve submitted an issue here:
> https://github.com/tree-sitter/tree-sitter-c/issues/119
> 
> So far, I’ve only observed this in that specific edge case.

We should have protection against that, which should be easy, right?